Debian Bug report logs - #100947
byacc(1) extraneous escapes cause info loss

version graph

Package: byacc; Maintainer for byacc is Dave Beckett <dajobe@debian.org>; Source for byacc is src:byacc.

Reported by: Gordon Sadler <gbsadler1@lcisp.com>

Date: Fri, 15 Jun 2001 06:03:40 UTC

Severity: normal

Tags: fixed, patch

Found in version 1.9-13

Fixed in version byacc/20050505-1

Done: Dave Beckett <dajobe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jason Henry Parker <henry@debian.org>:
Bug#100947; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Gordon Sadler <gbsadler1@lcisp.com>:
New Bug report received and forwarded. Copy sent to Jason Henry Parker <henry@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gordon Sadler <gbsadler1@lcisp.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: byacc(1) extraneous escapes cause info loss
Date: Fri, 15 Jun 2001 00:39:54 -0500
Package: byacc
Version: 1.9-13
Severity: normal
Tags: patch

Without patch from insert -> -p symbol_prefix is all lost in the
formatting. I suppose this could be a man-db issue, I haven't looked
closely enough in the past. This does fix it with current man-db, however.

*** byacc.1.diff
--- byacc.1.orig	Fri Jun 15 00:33:49 2001
+++ byacc.1	Fri Jun 15 00:33:14 2001
@@ -44,13 +44,13 @@
 .B -l
 option is not specified,
 .I yacc
-will insert \#line directives in the generated code.
-The \#line directives let the C compiler relate errors in the
+will insert #line directives in the generated code.
+The #line directives let the C compiler relate errors in the
 generated code to the user's original code.
 If the \fB-l\fR option is specified,
 .I yacc
-will not insert the \#line directives.
-\&\#line directives specified by the user will be retained.
+will not insert the #line directives.
+\&#line directives specified by the user will be retained.
 .TP
 \fB-p \fIsymbol_prefix\fR
 The


-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux debian-home 2.2.19 #1 Sat May 19 16:25:04 CDT 2001 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages byacc depends on:
ii  libc6                         2.2.3-6    GNU C Library: Shared libraries an




Information forwarded to debian-bugs-dist@lists.debian.org, Jason Henry Parker <henry@debian.org>, byacc@packages.qa.debian.org:
Bug#100947; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Daniel Bungert <drb210@psu.edu>:
Extra info received and forwarded to list. Copy sent to Jason Henry Parker <henry@debian.org>, byacc@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 100947@bugs.debian.org (full text, mbox):

From: Daniel Bungert <drb210@psu.edu>
To: 100947@bugs.debian.org, 113168@bugs.debian.org, control@bugs.debian.org
Subject: nmu of byacc
Date: Mon, 8 Apr 2002 00:58:13 -0400
tag 100947 pending
tag 113168 pending
thanks

A nmu of byacc is presently in DELAYED/3-day.

Diff of -13 to -13.1 is at
http://people.debian.org/~drb/patches/byacc-1.9-13-13.1.diff

-- 
Daniel Bungert



Tags added: pending Request was from Daniel Bungert <drb210@psu.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Daniel Bungert <drb@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Daniel Bungert <drb210@psu.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Henry Parker <henry@debian.org>, byacc@packages.qa.debian.org:
Bug#100947; Package byacc. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Jason Henry Parker <henry@debian.org>, byacc@packages.qa.debian.org. Full text and rfc822 format available.

Message #21 received at 100947@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Gordon Sadler <gbsadler1@lcisp.com>, 100947@bugs.debian.org
Subject: Re: Bug#100947: byacc(1) extraneous escapes cause info loss
Date: Sat, 13 Apr 2002 01:34:12 +0100
Gordon Sadler wrote:
> Without patch from insert -> -p symbol_prefix is all lost in the
> formatting. I suppose this could be a man-db issue, I haven't looked
> closely enough in the past. This does fix it with current man-db,
> however.

For the record, this could never be a man-db issue because groff is
responsible for the formatting. Anyhow, one of the additions in groff
over traditional Unix troff is that the \# escape introduces a comment,
slightly different from the traditional \" comment escape in that \#
also ignores the final newline. In the case of byacc(1), it could well
be that the author wrote the page before \# was introduced in 1992.

Using # as suggested in the patch and applied in Daniel's NMU is more
correct anyway, and should work with both Unix troff and groff.

Cheers,

-- 
Colin Watson (groff/man-db maintainer)        [cjwatson@flatline.org.uk]



Reply sent to Dave Beckett <dajobe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gordon Sadler <gbsadler1@lcisp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 100947-close@bugs.debian.org (full text, mbox):

From: Dave Beckett <dajobe@debian.org>
To: 100947-close@bugs.debian.org
Subject: Bug#100947: fixed in byacc 20050505-1
Date: Fri, 05 Aug 2005 15:17:04 -0700
Source: byacc
Source-Version: 20050505-1

We believe that the bug you reported is fixed in the latest version of
byacc, which is due to be installed in the Debian FTP archive:

byacc_20050505-1.diff.gz
  to pool/main/b/byacc/byacc_20050505-1.diff.gz
byacc_20050505-1.dsc
  to pool/main/b/byacc/byacc_20050505-1.dsc
byacc_20050505-1_i386.deb
  to pool/main/b/byacc/byacc_20050505-1_i386.deb
byacc_20050505.orig.tar.gz
  to pool/main/b/byacc/byacc_20050505.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 100947@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dave Beckett <dajobe@debian.org> (supplier of updated byacc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  5 Aug 2005 22:50:20 +0100
Source: byacc
Binary: byacc
Architecture: source i386
Version: 20050505-1
Distribution: unstable
Urgency: low
Maintainer: Dave Beckett <dajobe@debian.org>
Changed-By: Dave Beckett <dajobe@debian.org>
Description: 
 byacc      - public domain Berkeley LALR Yacc parser generator
Closes: 100947 166300 240662 283174 321377
Changes: 
 byacc (20050505-1) unstable; urgency=low
 .
   * New maintainer (Closes: #321377)
   * Switch to new upstream and new source (Closes: #240662)
   * debian/copyright: Update to new upstream and add source information
     (Closes: #166300)
   * Acknowledge fix in NMUs (Closes: #283174)
   * New manual page does not have the formatting problem (Closes: #100947)
   * Added debian/watch file.
Files: 
 5db72555e581258d42fbcbbe224facfe 557 devel extra byacc_20050505-1.dsc
 081ca1b32b334bfd7bd378b1c64d343c 137699 devel extra byacc_20050505.orig.tar.gz
 36234602b9b2535761c38941d8ae3530 4185 devel extra byacc_20050505-1.diff.gz
 c353b1171b9bb98320ce40d6551355b1 41660 devel extra byacc_20050505-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC89//Q+ySUE9xlVoRAuTDAJ9bsmLIGB/9dBO3W8rzXxsy6f0HTQCfYFCq
aS8MtacCAFAs383Oh77oghA=
=u6xt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:50:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:46:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.